package com.qmth.themis.backend.mongodb.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;
import java.util.Date;

/** 
* @Description: mongodb 考试场次 entity 
* @Param:  
* @return:  
* @Author: wangliang
* @Date: 2020/7/6 
*/
@ApiModel(value = "TEExamActivity", description = "考试场次")
@Document(collection = "TEExamActivity")
public class MTEExamActivityEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @Id
    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "批次id")
    private Long examId;

    @ApiModelProperty(value = "场次代码")
    private String code;

    @ApiModelProperty(value = "场次名称")
    private String name;

    @ApiModelProperty(value = "提前多长时间开始候考(秒)")
    private Integer prepareSeconds;

    @ApiModelProperty(value = "最早开考时间")
    private Date minStartTime;

    @ApiModelProperty(value = "最晚开考时间，相当于迟到时间")
    private Date maxStartTime;

    @ApiModelProperty(value = "最大考试时长")
    private Integer maxDurationSeconds;

    @ApiModelProperty(value = "最短考试时间，相当于考试冻结时间(秒)")
    private Integer minDurationSeconds;

    @ApiModelProperty(value = "集中收卷时间")
    private Date maxFinishTime;

    @ApiModelProperty(value = "允许考试次数")
    private Integer examCount;

    @ApiModelProperty(value = "断点失效时间(秒)")
    private Integer breakExpireSeconds;

    @ApiModelProperty(value = "断点续考次数")
    private Integer breakResumeCount;

    @ApiModelProperty(value = "是否开启/强制开考人脸识别")
    private Integer entryFaceVerify;

    @ApiModelProperty(value = "是否开启/强制开考活体检测")
    private Integer entryLivenessVerify;

    @ApiModelProperty(value = "考试过程中人脸检测是否开启")
    private Integer constantFaceVerify;

    @ApiModelProperty(value = "考试过程中随机活体验证次数")
    private Integer constantLivenessVerifyCount;

    @ApiModelProperty(value = "是否开启/强制客户端视频监控")
    private Integer clientVideoPush;

    @ApiModelProperty(value = "是否开启客户端视频转录")
    private Integer clientVideoRecord;

    @ApiModelProperty(value = "是否开启/强制微信小程序监控")
    private Integer wxappVideoPush;

    @ApiModelProperty(value = "是否开启微信小程序视频转录")
    private Integer wxappVideoRecord;

    @ApiModelProperty(value = "是否允许使用摄像头拍照答题")
    private Integer cameraPhotoUpload;

    @ApiModelProperty(value = "是否允许使用微信拍照答题")
    private Integer wxappPhotoUpload;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getPrepareSeconds() {
        return prepareSeconds;
    }

    public void setPrepareSeconds(Integer prepareSeconds) {
        this.prepareSeconds = prepareSeconds;
    }

    public Date getMinStartTime() {
        return minStartTime;
    }

    public void setMinStartTime(Date minStartTime) {
        this.minStartTime = minStartTime;
    }

    public Date getMaxStartTime() {
        return maxStartTime;
    }

    public void setMaxStartTime(Date maxStartTime) {
        this.maxStartTime = maxStartTime;
    }

    public Integer getMaxDurationSeconds() {
        return maxDurationSeconds;
    }

    public void setMaxDurationSeconds(Integer maxDurationSeconds) {
        this.maxDurationSeconds = maxDurationSeconds;
    }

    public Integer getMinDurationSeconds() {
        return minDurationSeconds;
    }

    public void setMinDurationSeconds(Integer minDurationSeconds) {
        this.minDurationSeconds = minDurationSeconds;
    }

    public Date getMaxFinishTime() {
        return maxFinishTime;
    }

    public void setMaxFinishTime(Date maxFinishTime) {
        this.maxFinishTime = maxFinishTime;
    }

    public Integer getExamCount() {
        return examCount;
    }

    public void setExamCount(Integer examCount) {
        this.examCount = examCount;
    }

    public Integer getBreakExpireSeconds() {
        return breakExpireSeconds;
    }

    public void setBreakExpireSeconds(Integer breakExpireSeconds) {
        this.breakExpireSeconds = breakExpireSeconds;
    }

    public Integer getBreakResumeCount() {
        return breakResumeCount;
    }

    public void setBreakResumeCount(Integer breakResumeCount) {
        this.breakResumeCount = breakResumeCount;
    }

    public Integer getEntryFaceVerify() {
        return entryFaceVerify;
    }

    public void setEntryFaceVerify(Integer entryFaceVerify) {
        this.entryFaceVerify = entryFaceVerify;
    }

    public Integer getEntryLivenessVerify() {
        return entryLivenessVerify;
    }

    public void setEntryLivenessVerify(Integer entryLivenessVerify) {
        this.entryLivenessVerify = entryLivenessVerify;
    }

    public Integer getConstantFaceVerify() {
        return constantFaceVerify;
    }

    public void setConstantFaceVerify(Integer constantFaceVerify) {
        this.constantFaceVerify = constantFaceVerify;
    }

    public Integer getConstantLivenessVerifyCount() {
        return constantLivenessVerifyCount;
    }

    public void setConstantLivenessVerifyCount(Integer constantLivenessVerifyCount) {
        this.constantLivenessVerifyCount = constantLivenessVerifyCount;
    }

    public Integer getClientVideoPush() {
        return clientVideoPush;
    }

    public void setClientVideoPush(Integer clientVideoPush) {
        this.clientVideoPush = clientVideoPush;
    }

    public Integer getClientVideoRecord() {
        return clientVideoRecord;
    }

    public void setClientVideoRecord(Integer clientVideoRecord) {
        this.clientVideoRecord = clientVideoRecord;
    }

    public Integer getWxappVideoPush() {
        return wxappVideoPush;
    }

    public void setWxappVideoPush(Integer wxappVideoPush) {
        this.wxappVideoPush = wxappVideoPush;
    }

    public Integer getWxappVideoRecord() {
        return wxappVideoRecord;
    }

    public void setWxappVideoRecord(Integer wxappVideoRecord) {
        this.wxappVideoRecord = wxappVideoRecord;
    }

    public Integer getCameraPhotoUpload() {
        return cameraPhotoUpload;
    }

    public void setCameraPhotoUpload(Integer cameraPhotoUpload) {
        this.cameraPhotoUpload = cameraPhotoUpload;
    }

    public Integer getWxappPhotoUpload() {
        return wxappPhotoUpload;
    }

    public void setWxappPhotoUpload(Integer wxappPhotoUpload) {
        this.wxappPhotoUpload = wxappPhotoUpload;
    }
}
