package com.qmth.themis.business.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 考试科目
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@ApiModel(value = "t_e_exam_course", description = "考试科目")
public class TEExamCourse implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "考试ID")
    @TableId(value = "exam_id")
    private Long examId;

    @ApiModelProperty(value = "场次ID")
    @TableId(value = "exam_activity_id")
    private Long examActivityId;

    @ApiModelProperty(value = "科目编码")
    @TableId(value = "course_code")
    private String courseCode;

    @ApiModelProperty(value = "科目名称")
    @TableId(value = "course_name")
    private String courseName;

    @ApiModelProperty(value = "是否开启客观题乱序")
    @TableId(value = "objective_shuffle")
    private Integer objectiveShuffle;

    @ApiModelProperty(value = "是否选项乱序，针对一个科目进行设置")
    @TableId(value = "option_shuffle")
    private Integer optionShuffle;

    @ApiModelProperty(value = "所有绑定的考试试卷")
    @TableId(value = "paper_ids")
    private String paperIds;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamActivityId() {
        return examActivityId;
    }

    public void setExamActivityId(Long examActivityId) {
        this.examActivityId = examActivityId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Integer getObjectiveShuffle() {
        return objectiveShuffle;
    }

    public void setObjectiveShuffle(Integer objectiveShuffle) {
        this.objectiveShuffle = objectiveShuffle;
    }

    public Integer getOptionShuffle() {
        return optionShuffle;
    }

    public void setOptionShuffle(Integer optionShuffle) {
        this.optionShuffle = optionShuffle;
    }

    public String getPaperIds() {
        return paperIds;
    }

    public void setPaperIds(String paperIds) {
        this.paperIds = paperIds;
    }
}
