package com.qmth.themis.business.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 考试断点记录
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@ApiModel(value = "t_oe_exam_break_history", description = "考试断点记录")
public class TOeExamBreakHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "考试记录ID")
    @TableId(value = "exam_record_id")
    private Long examRecordId;

    @ApiModelProperty(value = "断点发生时间")
    @TableId(value = "break_time")
    private Date breakTime;

    @ApiModelProperty(value = "断点判定原因")
    @TableId(value = "break_reason")
    private Integer breakReason;

    @ApiModelProperty(value = "提交异常原因")
    @TableId(value = "resume_reason")
    private String resumeReason;

    @ApiModelProperty(value = "恢复候考时间")
    @TableId(value = "prepare_time")
    private Date prepareTime;

    @ApiModelProperty(value = "恢复开考时间")
    @TableId(value = "start_time")
    private Date startTime;

    @ApiModelProperty(value = "恢复开考人脸验证结果")
    @TableId(value = "entry_face_verify_result")
    private Integer entryFaceVerifyResult;

    @ApiModelProperty(value = "恢复开考人脸验证记录ID")
    @TableId(value = "entry_face_verify_history_id")
    private Long entryFaceVerifyHistoryId;

    @ApiModelProperty(value = "恢复开考活体验证结果")
    @TableId(value = "entry_liveness_verify_result")
    private Integer entryLivenessVerifyResult;

    @ApiModelProperty(value = "恢复开考活体验证记录ID")
    @TableId(value = "entry_liveness_verify_history_id")
    private Long entryLivenessVerifyHistoryId;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamRecordId() {
        return examRecordId;
    }

    public void setExamRecordId(Long examRecordId) {
        this.examRecordId = examRecordId;
    }

    public Date getBreakTime() {
        return breakTime;
    }

    public void setBreakTime(Date breakTime) {
        this.breakTime = breakTime;
    }

    public Integer getBreakReason() {
        return breakReason;
    }

    public void setBreakReason(Integer breakReason) {
        this.breakReason = breakReason;
    }

    public String getResumeReason() {
        return resumeReason;
    }

    public void setResumeReason(String resumeReason) {
        this.resumeReason = resumeReason;
    }

    public Date getPrepareTime() {
        return prepareTime;
    }

    public void setPrepareTime(Date prepareTime) {
        this.prepareTime = prepareTime;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Integer getEntryFaceVerifyResult() {
        return entryFaceVerifyResult;
    }

    public void setEntryFaceVerifyResult(Integer entryFaceVerifyResult) {
        this.entryFaceVerifyResult = entryFaceVerifyResult;
    }

    public Long getEntryFaceVerifyHistoryId() {
        return entryFaceVerifyHistoryId;
    }

    public void setEntryFaceVerifyHistoryId(Long entryFaceVerifyHistoryId) {
        this.entryFaceVerifyHistoryId = entryFaceVerifyHistoryId;
    }

    public Integer getEntryLivenessVerifyResult() {
        return entryLivenessVerifyResult;
    }

    public void setEntryLivenessVerifyResult(Integer entryLivenessVerifyResult) {
        this.entryLivenessVerifyResult = entryLivenessVerifyResult;
    }

    public Long getEntryLivenessVerifyHistoryId() {
        return entryLivenessVerifyHistoryId;
    }

    public void setEntryLivenessVerifyHistoryId(Long entryLivenessVerifyHistoryId) {
        this.entryLivenessVerifyHistoryId = entryLivenessVerifyHistoryId;
    }
}
